List products

Query Params
number | null
≥ 0

For use with paging. Number of records to skip when returning.

i.e., if there are 20 records and you want 5 at a time, your first skip would be 0, second would be 5, third would be 10, etc.

number | null
0 to 250

For use with paging. Total number of records to return. Default limit is 100 and max limit is 250

enum

Enables sorting of products in response. A - indicates descending order.

string

String value to search for specific products

Filter by the venue/store associated with the products.

Can be a string or array of strings

enum
deprecated

Use cannabisComplianceType instead

enum
deprecated

DEPRECATED. Use categoryId instead.

Filter by the category id of the product

Filter by the category id of the product

boolean
boolean

Filter by products with a new flag

boolean

Filter by products associated with a group

Filter by the product's sub-category

Filter by the name of product's brand

Can be a string or array of strings

Filter by the cannabis strain of the product

enum

Filter by the terpene content of the product.

enum

Filter by the cannabis type. i.e., HYBRID, INDICA.

Can be a string or array of strings

enum

Filter by the effects associated with the products

boolean

Filter by products enabled/disabled status

boolean

Filter by products active/inactive status

number

Filter by products with at least this many in stock

number

Filter by products with at most this many in stock

boolean

Filter by products that are currently on sale

Filter by the formatted weight of the product. i.e., 3.5g, 100mg

Can be a string or array of strings

Filter by the product tag id of the product

string

Filter by products created on or after this date

To filter for a specific date, use a combination of createdStart and createdEnd. For example, to query for only 1/1/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for createdStart and ending date for createdEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-05T23:59

string

Filter by products created on or before this date

To filter for a specific date, use a combination of createdStart and createdEnd. For example, to query for only 1/1/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for createdStart and ending date for createdEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-05T23:59

string

Filter by products modified on or after this date

To filter for a specific date, use a combination of modifiedStart and modifiedEnd. For example, to query for only 1/1/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for modifiedStart and ending date for modifiedEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-05T23:59

string

Filter by products modified on or before this date

To filter for a specific date, use a combination of modifiedStart and modifiedEnd. For example, to query for only 1/1/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for modifiedStart and ending date for modifiedEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-05T23:59

string | null

Internal use

Headers
string
required

Your Dispense Organization API key

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json